/*
BSProjectApp.java
This file created automatically by
Tangent Systems BuildSim/Code Generator
 1996 Tangent Systems All Rights Reserved
*******
*/

// Code Generation Date: Monday, August 11, 1997 at 4:07:29 PM


/*
The purpose of this project is to demo the use of the BuildSim Automatic Code Generator.

*/
public class BSProjectApp
{	
	int	SIM_STEPS;
	int	START_TIME;
	double	STEP_SIZE;
	BSProjectApp(int simSteps, int startTime, double stepSize)
	{
		SIM_STEPS = simSteps;
		START_TIME = startTime;
		STEP_SIZE = stepSize;
	}
	
	public static void main(String args[])
	{
		System.out.println( "BuildSim Project" );
		BSProjectApp theProjectApp;
		theProjectApp = new BSProjectApp(200, 0, .1);
		theProjectApp.runProject();				
	}
	
	void runProject()
	{
		int err;
		BSProject 				theProject;
		theProject = new BSProject(START_TIME, STEP_SIZE, SIM_STEPS);




//Declare BuildBlocks
TSUniformNoiseBlock    UniformNoise_1;    // BuildBlock - UniformNoise.1
TSStepBlock    Step_2;    // BuildBlock - Step.2
TSSumNodeBlock    SumNode_3;    // BuildBlock - SumNode.3
TSLowPassBlock    LowPass_4;    // BuildBlock - LowPass.4
TSSimHistoryBlock    SimHistory_5;    // BuildBlock - SimHistory.5


//Allocate BuildBlocks
UniformNoise_1   = new TSUniformNoiseBlock(1,1,-1,0); // Arguments:start time  plus range  minus range  initial value  
UniformNoise_1.setName("UniformNoise_1");
Step_2   = new TSStepBlock(0,1); // Arguments:step time  magnitude  
Step_2.setName("Step_2");
SumNode_3   = new TSSumNodeBlock(); // Arguments:
SumNode_3.setName("SumNode_3");
LowPass_4   = new TSLowPassBlock(0.9856,0); // Arguments:parameter a  initial condition x1  
LowPass_4.setName("LowPass_4");
SimHistory_5   = new TSSimHistoryBlock(); // Arguments:
SimHistory_5.setName("SimHistory_5");


//Insert BuildBlocks in Project
theProject.addBlock( UniformNoise_1 );
theProject.addBlock( Step_2 );
theProject.addBlock( SumNode_3 );
theProject.addBlock( LowPass_4 );
theProject.addBlock( SimHistory_5 );


//Connect BuildBlocks
SumNode_3.connectBlock(UniformNoise_1);
SumNode_3.connectBlock(Step_2);
LowPass_4.connectBlock(SumNode_3);
SimHistory_5.connectBlock(SumNode_3);
SimHistory_5.connectBlock(LowPass_4);

// Simulation driver

theProject.runSimulation();
}
}